import { Injectable } from '@angular/core';
import { User } from '../../../model/User';
import { AuthService } from '../auth/auth.service';

@Injectable({
  providedIn: 'root'
})
export class UserService {

  exampleUser: User = {
    username: "Zámbó Jimmy",
    picture: "assets/placeholder-profile-picture.png",
    followed: true
  }

  constructor(private auth: AuthService) { }

  getUser(username: String): Promise<User> {
    return new Promise<User>((resolve, reject) => {
      // TODO: get user
      this.auth.getToken()
        .then((token) => {
          resolve(this.exampleUser);
        })
        .catch(() => { reject() });
    });
  }
}
