import { Component, Input } from '@angular/core';

import { SmallUserComponent } from '../small-user/small-user.component';
import { Post } from '../../../../model/Post';
import { NgIf } from '@angular/common';

@Component({
  selector: 'app-post',
  standalone: true,
  imports: [SmallUserComponent, NgIf],
  templateUrl: './post.component.html',
  styleUrl: './post.component.scss'
})
export class PostComponent {
  @Input() post: Post | undefined;
}
